Skip to content

Generate Deposit Address

POST /deposit

Server: https://bridge.openfish.me (port 3004)

Auth: None

Tags: Bridge

Calling this endpoint provisions or returns a deterministic EVM/BSC deposit address tied to your Openfish wallet. Send only the configured platform meme ERC-20 on BSC to this address.

Do not send USDC, USDC.e, native BNB, Solana tokens, Bitcoin, or arbitrary meme tokens. Unsupported assets may not be credited.


PropertyTypeRequiredDescription
addressstringYesYour Openfish wallet address (0x-prefixed, 40 hex chars)
{
"address": "0x56687bf447db6ffa42ffe2204a05edaa20f55839"
}

200 / 201 — Deposit address returned.

{
"address": {
"evm": "0x23566f8b2E82aDfCf01846E54899d110e97AC053",
"chain_id": "56",
"chain_name": "BSC",
"address": "0x23566f8b2E82aDfCf01846E54899d110e97AC053",
"asset": {
"name": "agentic money",
"symbol": "agentic money",
"address": "0xaE71fd8baCc2f17C43a01C3F4aFF6dEEbc194444",
"decimals": 18
}
},
"note": "Send only agentic money on BSC to this address."
}

Terminal window
curl -X POST "https://bridge.openfish.me/deposit" \
-H "Content-Type: application/json" \
-d '{"address": "0x56687bf447db6ffa42ffe2204a05edaa20f55839"}'